cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/labours/LAB-00003/orders?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.labours.get_labour_orders("LAB-00003", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.labours.getLabourOrders('LAB-00003', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->labours->getLabourOrders('LAB-00003', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.labours.labours_dto.LaboursDto.LabourOrderList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<LabourOrderList> response = client.labours().getLabourOrders(
"LAB-00003",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Labours.GetLabourOrdersAsync(
"LAB-00003",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.labours.getLabourOrders(
'LAB-00003',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Labours().GetLabourOrders(context.Background(), "LAB-00003", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"allow_contract": true,
"billing_address": null,
"billing_preferences": {
"billing_period": "<string>",
"communication_profile": "<string>",
"consolidate_invoice": true,
"fulfillment_mode": "<string>",
"fulfillment_term": "<string>",
"invoice_mode": "<string>",
"invoice_term": "<string>",
"payment_mode": "<string>",
"payment_processor": "<string>",
"payment_term": "<string>",
"payment_term_alignment": "<string>",
"proforma_properties": {
"acceptance_date": null,
"acceptance_required": true,
"acceptance_term": null,
"payment_required": true,
"terms_and_conditions": null
}
},
"billing_start_date": "<string>",
"communication_preferences": [
{
"channel": "<string>",
"enabled": true
}
],
"created_by": null,
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"customer_purchase_order_id": null,
"description": null,
"discount_profile": null,
"display_name": "<string>",
"id": "<string>",
"invoice_note": null,
"last_updated_by": null,
"last_updated_on": "<string>",
"manager": null,
"name": "<string>",
"next_billing_from_date": "<string>",
"object": "<string>",
"order_start_date": "<string>",
"order_type": "<string>",
"origin": null,
"original_total": null,
"pre_order": true,
"price_tax_inclusive": true,
"quote_converted": true,
"quote_order": true,
"referral_account": null,
"sales_rep": null,
"shipping_address": null,
"shipping_cost": 123,
"shipping_profile": null,
"status": "<string>",
"time_zone": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Labours
List a labour's orders
Lists the orders that book one labour.
GET
/
labours
/
{labour_uuid}
/
orders
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/labours/LAB-00003/orders?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.labours.get_labour_orders("LAB-00003", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.labours.getLabourOrders('LAB-00003', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->labours->getLabourOrders('LAB-00003', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.labours.labours_dto.LaboursDto.LabourOrderList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<LabourOrderList> response = client.labours().getLabourOrders(
"LAB-00003",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Labours.GetLabourOrdersAsync(
"LAB-00003",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.labours.getLabourOrders(
'LAB-00003',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Labours().GetLabourOrders(context.Background(), "LAB-00003", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"allow_contract": true,
"billing_address": null,
"billing_preferences": {
"billing_period": "<string>",
"communication_profile": "<string>",
"consolidate_invoice": true,
"fulfillment_mode": "<string>",
"fulfillment_term": "<string>",
"invoice_mode": "<string>",
"invoice_term": "<string>",
"payment_mode": "<string>",
"payment_processor": "<string>",
"payment_term": "<string>",
"payment_term_alignment": "<string>",
"proforma_properties": {
"acceptance_date": null,
"acceptance_required": true,
"acceptance_term": null,
"payment_required": true,
"terms_and_conditions": null
}
},
"billing_start_date": "<string>",
"communication_preferences": [
{
"channel": "<string>",
"enabled": true
}
],
"created_by": null,
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_form": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"customer_purchase_order_id": null,
"description": null,
"discount_profile": null,
"display_name": "<string>",
"id": "<string>",
"invoice_note": null,
"last_updated_by": null,
"last_updated_on": "<string>",
"manager": null,
"name": "<string>",
"next_billing_from_date": "<string>",
"object": "<string>",
"order_start_date": "<string>",
"order_type": "<string>",
"origin": null,
"original_total": null,
"pre_order": true,
"price_tax_inclusive": true,
"quote_converted": true,
"quote_order": true,
"referral_account": null,
"sales_rep": null,
"shipping_address": null,
"shipping_cost": 123,
"shipping_profile": null,
"status": "<string>",
"time_zone": {
"object": "<string>",
"id": "<string>",
"name": "<string>",
"href": "<string>"
},
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Returns one page of the orders that book this labour under
data, with pagination. The path takes the labour’s code. Any other field of the record filters the listing as filter_<field> or filter_<field>_<operator>.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The labour's code, such as LAB-00003. Despite the parameter name, this route takes the code.
Query Parameters
How many records to return on one page.
Example:
20
The next_cursor of the previous page, to fetch the page after it.